Name:           x2godesktopsharing
Version:        3.2.0.0
Release:        2%{?dist}
Summary:        Share X11 desktops with other users via X2Go

License:        GPLv2+
URL:            https://www.x2go.org
Source0:        https://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  desktop-file-utils
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-linguist
Requires:       hicolor-icon-theme
Requires:       x2goserver >= 4.0.0.0
Requires:       x2goserver-desktopsharing >= 4.1.0.3


%description
X2Go Desktop Sharing is an X2Go add-on tool that allows a user to 
grant other X2Go users access to the current session (shadow session
support). The current session may be an X2Go session itself or simply
a local X11 session.


%prep
%setup -q


%build
lrelease-qt5 x2godesktopsharing.pro
%{qmake_qt5}
%make_build


%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_datadir}/{applications,x2go}
cp -p %{name} %{buildroot}%{_bindir}/
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop
mkdir -p %{buildroot}%{_datadir}/%{name}/icons
install -p -m 644 icons/%{name}.xpm %{buildroot}%{_datadir}/%{name}/icons/%{name}.xpm
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32,64x64,128x128}/apps
install -p -m 644 icons/128x128/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
install -p -m 644 icons/16x16/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -m 644 icons/64x64/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -p -m 644 icons/32x32/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/x2go/versions
install -p -m 644 VERSION.x2godesktopsharing %{buildroot}%{_datadir}/x2go/versions/VERSION.x2godesktopsharing
cp -rp man %{buildroot}%{_datadir}/


%pre
getent group x2godesktopsharing >/dev/null || groupadd -r x2godesktopsharing

%files
%license COPYING
%doc ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/x2go/versions/VERSION.x2godesktopsharing
%{_mandir}/man1/%{name}.1.gz


%changelog
* Wed Apr 24 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0.0-2
- rebase to add ocs and ts macros

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0.0-1
- initial build
